import { InitializerPatches } from './base';
import { ICustomResourcePatch } from '../patches';
export declare class BranchStrategiesInitializer extends InitializerPatches {
    protected static fileName?: string;
    applicableProviders: string[];
    constructor(data?: any);
    __validate(schema: any): Promise<boolean>;
    __patches(claim: any, previousCR: any): Promise<ICustomResourcePatch[]>;
}
